#include <iostream>
#include<cmath>
using namespace std;
int brojCifara(int V);
int racun(int V);
int main () {
	int V;
	cin>>V;
	cout<< racun(V);
	return 0;
}
int brojCifara(int V) {
	int k=0;
	while(V/10>0) {
	k=k+1;
	V=V/10;	
	}
	return k;
}
int racun (int V) {
	int stepen=brojCifara(V);
	int brojNovcanica=0;
	while(V>0){
		int d1=pow(10,stepen);
		int d2=2*d1;
		int d3=5*d1;
			if (V/d3>0){
				brojNovcanica=brojNovcanica+(V/d3);
				V=V%d3;
			}	else if (V/d2>0) {
				brojNovcanica=brojNovcanica+(V/d2);
				V=V%d2;
			}	else if (V/d1>0) {
				brojNovcanica=brojNovcanica+(V/d1);
				V=V%d1;
			}	else {
				stepen--;
			}
	}
	return brojNovcanica;
}